Package org.eclipse.mat.parser.internal.util

## Class LimitedValueIntStore

- java.lang.Object
- - org.eclipse.mat.parser.internal.util.LimitedValueIntStore

    public class LimitedValueIntStore
    extends java.lang.Object

### Constructor Summary

Constructors
`LimitedValueIntStore​(int maxValue, int initialCapacity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `add​(int index, int value)`
`int` `create()`
`void` `dispose​(int index)`
`int[]` `get​(int index)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LimitedValueIntStore

    public LimitedValueIntStore​(int maxValue,
                                int initialCapacity)

### Method Detail

#### add

    public final int add​(int index,
                         int value)

#### get

    public final int[] get​(int index)

#### create

    public final int create()

#### dispose

    public final void dispose​(int index)